Ctype Functions
Filter
Ctype Functions
PHP Manual

# ctype_xdigit

(PHP 4 >= 4.0.4, PHP 5)

ctype_xdigit — Check for character(s) representing a hexadecimal digit

### Description

bool ctype_xdigit ( string `$text` )

Checks if all of the characters in the provided string, `text` , are hexadecimal 'digits'.

### Parameters

`text`

  The tested string.

### Return Values

Returns `TRUE` if every character in `text` is a hexadecimal 'digit', that is a decimal digit or a character from [A-Fa-f] , `FALSE` otherwise.

### Examples

Example #1 A ctype_xdigit() example

`<?php
$strings = array('AB10BC99', 'AR1012', 'ab12bc99');
foreach ($strings as $testcase) {
if (ctype_xdigit($testcase)) {
echo "The string $testcase consists of all hexadecimal digits.\n";
} else {
echo "The string $testcase does not consist of all hexadecimal digits.\n";
}
}
?>`

The above example will output:

    The string AB10BC99 consists of all hexadecimal digits.
    The string AR1012 does not consist of all hexadecimal digits.
    The string ab12bc99 consists of all hexadecimal digits.

### See Also

- ctype_digit()

Ctype Functions
Filter
Ctype Functions
PHP Manual